-- hero.lua

hero = {}

function hero.load()

	hero = {}
		hero.x = 300
		hero.y = 300
		hero.w = 32
		hero.h = 32
		hero.xv = 0
		hero.yv = 0
		hero.speed = 150

	mouse = {}
		mouse.x = hero.x
		mouse.y = hero.y

end

function hero.mousepressed(x, y, button)

	if button == "r" then
		mouse.x, mouse.y = x, y
	end

end

function hero.update(dt)

	local a = mouse.x - hero.x
	local b = mouse.y - hero.y
	local c = math.sqrt(a*a + b*b)	

	if hero.x ~= mouse.x then
		hero.xv = (a/c) * hero.speed
	end

	if hero.y ~= mouse.y then
		hero.yv = (b/c) * hero.speed
	end

	hero.x = hero.x + hero.xv * dt
	hero.y = hero.y + hero.yv * dt

end

function hero.draw()

	love.graphics.rectangle("fill", hero.x - (hero.w/2), hero.y - (hero.h/2), hero.w, hero.h)

end

function hero.getPosition(x, y)

	hero.x, hero.y = x, y

	return x, y

end

return hero